summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-09-11 08:54:13 +0200
committerJeroen Roovers <jer@gentoo.org>2016-09-11 08:54:36 +0200
commit2285858b273aaee97543477467b306747880c81f (patch)
treea0e055a927e11e04e6c99d4c32f075145a4c7320 /sys-apps/dtc
parentdev-ruby/rbtree: fix installation of files (diff)
downloadgentoo-2285858b273aaee97543477467b306747880c81f.tar.gz
gentoo-2285858b273aaee97543477467b306747880c81f.tar.bz2
gentoo-2285858b273aaee97543477467b306747880c81f.zip
sys-apps/dtc: Version bump.
Package-Manager: portage-2.3.0
Diffstat (limited to 'sys-apps/dtc')
-rw-r--r--sys-apps/dtc/Manifest1
-rw-r--r--sys-apps/dtc/dtc-1.4.2.ebuild51
-rw-r--r--sys-apps/dtc/dtc-9999.ebuild20
3 files changed, 65 insertions, 7 deletions
diff --git a/sys-apps/dtc/Manifest b/sys-apps/dtc/Manifest
index 0803f93eb62..4a7d7097323 100644
--- a/sys-apps/dtc/Manifest
+++ b/sys-apps/dtc/Manifest
@@ -1 +1,2 @@
DIST dtc-1.4.1.tar.xz 107920 SHA256 77992ad8eac7b68f553d0ba58e5b51604ac803d126196c99e3ae38aaae28bb94 SHA512 63df730e65f62b8c9648cfee5461809188f4198cbf98de25fbe5cb7f2f43c405266abb740501740f59847dc6faf0588bcbc734d08ae5430b05c2601e070d6d05 WHIRLPOOL 93e9ed26024e4650bb2de6323ea639a3e52622aa3891a9f9404959b600d2c1cbc633d18e30d3629ac54ae662e8c58a7d0ca7910a9b323cd8dd4ff6e43a3fdf67
+DIST dtc-1.4.2.tar.xz 112480 SHA256 13456ee9840abbbcb956d0711c580d28524e2ee17840e556e744311f2d8afaac SHA512 af536fda543a2516e10c45b80bd1b5797a33ab43e08fab6953ec861fc98a73ee232cdd3f5053e889f6e760d238a5a221c2716b8a6fd22b627cd01efac99915b2 WHIRLPOOL 0cbb2d696aec8017d609073ceab110ded29688d68b91588e5e2d3e3fcf23aa4636a1d92c1fce58b39e848689d0408692871c2cc6de5997e66278e1d030a46f8e
diff --git a/sys-apps/dtc/dtc-1.4.2.ebuild b/sys-apps/dtc/dtc-1.4.2.ebuild
new file mode 100644
index 00000000000..e6db8eaf45b
--- /dev/null
+++ b/sys-apps/dtc/dtc-1.4.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit multilib toolchain-funcs eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.kernel.org/pub/scm/utils/dtc/dtc.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://kernel/software/utils/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+fi
+
+DESCRIPTION="Open Firmware device tree compiler"
+HOMEPAGE="http://devicetree.org/Device_Tree_Compiler"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+
+DEPEND="
+ sys-devel/bison
+ sys-devel/flex
+"
+DOCS="
+ Documentation/manual.txt
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^CFLAGS =/s:=:+=:' \
+ -e '/^CPPFLAGS =/s:=:+=:' \
+ -e 's:-Werror::' \
+ -e 's:-g -Os::' \
+ -e "/^PREFIX =/s:=.*:= ${EPREFIX}/usr:" \
+ -e "/^LIBDIR =/s:=.*:= \$(PREFIX)/$(get_libdir):" \
+ Makefile || die
+
+ tc-export AR CC
+ export V=1
+}
+
+src_install() {
+ default
+
+ use static-libs || find "${ED}" -name '*.a' -delete
+}
diff --git a/sys-apps/dtc/dtc-9999.ebuild b/sys-apps/dtc/dtc-9999.ebuild
index 43d0f35abda..e6db8eaf45b 100644
--- a/sys-apps/dtc/dtc-9999.ebuild
+++ b/sys-apps/dtc/dtc-9999.ebuild
@@ -2,12 +2,12 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI="5"
+EAPI=6
+inherit multilib toolchain-funcs eutils
-inherit multilib toolchain-funcs
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://git.kernel.org/pub/scm/utils/dtc/dtc.git"
- inherit git-2
+ inherit git-r3
else
SRC_URI="mirror://kernel/software/utils/${PN}/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
@@ -20,12 +20,17 @@ LICENSE="GPL-2"
SLOT="0"
IUSE="static-libs"
-RDEPEND=""
-DEPEND="app-arch/xz-utils
+DEPEND="
+ sys-devel/bison
sys-devel/flex
- sys-devel/bison"
+"
+DOCS="
+ Documentation/manual.txt
+"
src_prepare() {
+ default
+
sed -i \
-e '/^CFLAGS =/s:=:+=:' \
-e '/^CPPFLAGS =/s:=:+=:' \
@@ -34,12 +39,13 @@ src_prepare() {
-e "/^PREFIX =/s:=.*:= ${EPREFIX}/usr:" \
-e "/^LIBDIR =/s:=.*:= \$(PREFIX)/$(get_libdir):" \
Makefile || die
+
tc-export AR CC
export V=1
}
src_install() {
default
+
use static-libs || find "${ED}" -name '*.a' -delete
- dodoc Documentation/manual.txt
}